using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;
using TemperatureManager.MVC;

namespace NombreApplication
{
    static class Program
    {
        /// <summary>
        /// Point d'entrée principal de l'application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            var seuil=new SeuilTemperature { ValueTemp = 20, TimeStamp = DateTime.Now };
            var modeleTemperature = new SeuilTemperatureModele(seuil);
            var viewSeuilTemperature = new SeuilView(seuil);   
            var controler = new ControleurTemperatureSeuil(viewSeuilTemperature, modeleTemperature);
            modeleTemperature.Subscribe(controler);
            modeleTemperature.Subscribe(viewSeuilTemperature);

            Application.Run(viewSeuilTemperature);

           
        }
    }
}
